<template lang="pug">
  div(class="creative-commons")
    a(:href="getUrl()" target="_blank")
      span(v-html="getIcons()")
</template>

<script>

export default {
  name:    "CreativeCommons",
  props:   {
    license: {
      type:    Array,
      default: [],
      validator(value) {
        return [
          "by",
          "by-sa",
          "by-nc",
          "by-nc-sa",
          "by-nd",
          "by-nc-nd",
          "zero"
        ].includes(value.join('-'))
      },
    },
  },
  methods: {
    getIcons() {
      let self = this
      let svg = this.getIcon('cc')

      this.license.forEach(license => {
        svg += self.getIcon(license)
      })

      return svg
    },
    getUrl() {
      return this.getLicenseTypes()[this.license.join('-')]
    },
    getIcon(condition) {
      return this.getLicenseIcons()[condition]
    },
    getLicenseIcons() {
      return {
        by:            '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" viewBox="5.5 -3.5 64 64" xml:space="preserve"><path d="M37.4-3.5c9 0 16.6 3 22.8 9.3a31 31 0 0 1 9.3 22.7c0 9-3 16.5-9.1 22.5a31.6 31.6 0 0 1-23 9.5A31 31 0 0 1 15 51.1a30.8 30.8 0 0 1-9.4-22.6c0-8.8 3.1-16.3 9.4-22.7a30.6 30.6 0 0 1 22.5-9.3zm.2 5.8A25 25 0 0 0 19 9.9a25.7 25.7 0 0 0 0 37 25.3 25.3 0 0 0 18.5 7.8c7 0 13.3-2.6 18.6-7.9 5-4.8 7.5-11 7.5-18.3 0-7.3-2.5-13.5-7.6-18.6a25.2 25.2 0 0 0-18.5-7.6zM46 20.6v13h-3.6v15.6h-10V33.6H29v-13c0-.6.2-1.1.6-1.5a2 2 0 0 1 1.4-.6h13.2c.5 0 1 .2 1.4.6.4.4.6.9.6 1.5zm-13-8.3c0-3 1.4-4.5 4.4-4.5S42 9.3 42 12.3s-1.5 4.5-4.5 4.5-4.5-1.5-4.5-4.5z"/></svg>',
        cc:            '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" viewBox="5.5 -3.5 64 64" xml:space="preserve"><path d="M37.4-3.5a31.2 31.2 0 0 1 29.8 19.7 32.6 32.6 0 0 1 0 24.6 32.9 32.9 0 0 1-29.7 19.7A31.1 31.1 0 0 1 14.8 51 31.9 31.9 0 0 1 37.4-3.5zm.2 5.8C30.2 2.3 24 4.8 19 9.9a27.5 27.5 0 0 0-5.8 8.6 25.2 25.2 0 0 0 0 20 26.5 26.5 0 0 0 43 8.3c5-4.8 7.4-11 7.4-18.3A26.3 26.3 0 0 0 56.1 10a25.3 25.3 0 0 0-18.5-7.7zm-.4 20.9-4.3 2.2c-.5-1-1-1.6-1.7-2-.7-.4-1.3-.6-1.9-.6-2.8 0-4.3 2-4.3 5.7 0 1.7.4 3 1.1 4.1.7 1 1.8 1.6 3.2 1.6 1.9 0 3.2-1 4-2.8l4 2a9.4 9.4 0 0 1-8.5 5c-2.8 0-5.2-.8-6.9-2.6a9.9 9.9 0 0 1-2.6-7.3c0-3 .9-5.5 2.6-7.3a9 9 0 0 1 6.7-2.6c4 0 6.8 1.5 8.6 4.6zm18.4 0-4.2 2.2c-.5-1-1-1.6-1.7-2-.7-.4-1.3-.6-2-.6-2.8 0-4.2 2-4.2 5.7 0 1.7.4 3 1 4.1.8 1 1.9 1.6 3.3 1.6 1.8 0 3.2-1 4-2.8l4 2c-1 1.6-2.1 2.8-3.6 3.7a9.2 9.2 0 0 1-4.9 1.3c-2.9 0-5.2-.8-7-2.6a10 10 0 0 1-2.5-7.3c0-3 .9-5.5 2.6-7.3a9 9 0 0 1 6.8-2.6c4 0 6.7 1.5 8.4 4.6z"/></svg>',
        nc:            '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" viewBox="5.5 -3.5 64 64" xml:space="preserve"><path d="M37.4-3.5c9 0 16.6 3 22.8 9.3a30.8 30.8 0 0 1 9.3 22.7c0 9-3 16.5-9.1 22.5a31.6 31.6 0 0 1-45.5 0 30.7 30.7 0 0 1-9.4-22.5c0-8.8 3.1-16.3 9.4-22.7a30.6 30.6 0 0 1 22.5-9.3zM12.7 19.9c-1 2.6-1.4 5.5-1.4 8.6 0 7 2.6 13.2 7.7 18.4a25.5 25.5 0 0 0 18.6 7.7c7.2 0 13.4-2.6 18.6-7.8 1.9-1.8 3.3-3.7 4.4-5.6l-12-5.4c-.5 2-1.5 3.7-3.1 5-1.7 1.2-3.6 2-5.8 2.2v4.9H36v-5c-3.5 0-6.8-1.3-9.7-3.8l4.4-4.4c2 2 4.5 2.9 7.1 2.9 1.1 0 2-.3 2.9-.8.8-.5 1.1-1.3 1.1-2.4 0-.8-.2-1.5-.8-2l-3.1-1.3-3.8-1.7-5-2.2-16.4-7.3zM37.6 2.2C30.3 2.2 24 4.8 19 10a30.6 30.6 0 0 0-3.5 4.3l12.2 5.5c.5-1.7 1.5-3 3-4S34 14 36 14V9h3.7v5c3 .1 5.6 1.1 8 3l-4.1 4.2a9.5 9.5 0 0 0-5.5-1.8 6 6 0 0 0-2.7.5c-.8.4-1.2 1-1.2 2l.3.8 4 1.8 2.9 1.3 5.1 2.2L63 35.4c.6-2.3.8-4.6.8-6.9a25 25 0 0 0-7.6-18.6 25 25 0 0 0-18.5-7.7z"/></svg>',
        nc_eu:         '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" viewBox="5.5 -3.5 64 64" xml:space="preserve"><path d="M60.2 5.8a31 31 0 0 0-22.7-9.3c-9 0-16.4 3-22.5 9.3-6.4 6.4-9.5 14-9.5 22.7S8.6 44.8 15 51.1a30.7 30.7 0 0 0 22.5 9.4c8.8 0 16.4-3.2 22.9-9.5 6-6 9.1-13.5 9.1-22.5S66.4 12 60.2 5.8zm-4 41a25.7 25.7 0 0 1-18.7 7.9c-7.1 0-13.3-2.6-18.5-7.8a25.6 25.6 0 0 1-6.4-27l8.6 3.8h-.7v3.8h3v2.6h-3v3.8H24c.5 2.8 1.6 5.1 3 7 3 3.9 7.8 6 13.1 6 3.4 0 6.5-1 8.4-2l-1.3-6c-1.2.6-3.7 1.5-6.1 1.5a9 9 0 0 1-7-2.8c-.8-.9-1.3-2.1-1.7-3.7H44l16.6 7.3c-1.2 2-2.6 3.9-4.4 5.6zM35.4 30.1zm10-2.6h.4v-3.8h-9L33 22.1c.3-.7.7-1.3 1.1-1.8 1.7-2 4-3 6.6-3 2.4 0 4.5.8 6 1.4l1.4-6.2c-1.9-.8-4.7-1.6-8-1.6A16.2 16.2 0 0 0 26 19l-10.5-4.6c1-1.5 2.2-3 3.6-4.4 5-5 11.2-7.6 18.4-7.6A25 25 0 0 1 56 9.9c5.2 5.1 7.7 11.3 7.7 18.6 0 2.4-.2 4.7-.8 6.8l-17.5-7.8z"/></svg>',
        nc_jp:         '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" xml:space="preserve"><path d="M54.7 9.3A31 31 0 0 0 32 0C23 0 15.6 3 9.5 9.3 3.2 15.7 0 23.3 0 32s3.1 16.3 9.5 22.6A30.7 30.7 0 0 0 32 64c8.8 0 16.4-3.2 22.9-9.5 6-6 9.1-13.5 9.1-22.5s-3.1-16.5-9.3-22.7zm-4 41A25.7 25.7 0 0 1 32 58.2c-7.1 0-13.3-2.6-18.5-7.8A25.8 25.8 0 0 1 7 24.2l16.4 7.3h-3.6v5h7.5L28 38v2.4h-8.2v5H28v7.2h8v-7.2h8.3v-4.6l10.4 4.7c-1 1.7-2.3 3.3-3.9 4.8zm-7.4-9.9H36V38l.4-.7 7 3.1zm.9-6.6v-2.3h-5l8.1-15h-8.5L33.2 29l-3-1.3-5-11h-8.5l3.5 6.5-10.6-4.7c1.1-1.7 2.5-3.4 4-5 5-5 11.2-7.6 18.4-7.6a25 25 0 0 1 18.5 7.6c5.2 5.1 7.7 11.3 7.7 18.6 0 2.7-.3 5.2-1 7.6l-13-5.8z"/></svg>',
        nd:            '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" viewBox="5.5 -3.5 64 64" xml:space="preserve"><path d="M37.4-3.5a31 31 0 0 1 22.8 9.3 30.8 30.8 0 0 1 9.3 22.7c0 9-3 16.5-9.1 22.5-6.5 6.3-14.1 9.5-23 9.5A31 31 0 0 1 15 51.1a30.8 30.8 0 0 1-9.4-22.6c0-8.7 3.1-16.3 9.4-22.7a30.7 30.7 0 0 1 22.5-9.3zm.2 5.8C30.3 2.3 24 4.8 19 10a25.6 25.6 0 0 0 0 36.9 25.3 25.3 0 0 0 18.5 7.8c7 0 13.3-2.6 18.6-7.9 5-4.8 7.5-11 7.5-18.3A25 25 0 0 0 56.1 10a25 25 0 0 0-18.5-7.7zm12 18.7v5.4H26.4V21h23.2zm0 10.2v5.5H26.4v-5.5h23.2z"/></svg>',
        pd:            '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" viewBox="5.5 -3.5 64 64" xml:space="preserve"><path d="M37.4-3.5a31 31 0 0 1 22.8 9.3 30.9 30.9 0 0 1 9.3 22.7c0 9-3 16.4-9.1 22.5-6.5 6.3-14.1 9.5-23 9.5-8.6 0-16.1-3.1-22.4-9.4a30.7 30.7 0 0 1-9.5-22.6c0-8.8 3.1-16.3 9.4-22.7a30.6 30.6 0 0 1 22.5-9.3zm.1 5.8c-7.2 0-13.4 2.5-18.4 7.6a25.6 25.6 0 0 0 0 37 25.3 25.3 0 0 0 18.5 7.8c7.1 0 13.3-2.6 18.6-7.9 5-4.8 7.5-11 7.5-18.3 0-7.3-2.5-13.5-7.6-18.6a25.3 25.3 0 0 0-18.6-7.6zm-15 34.9V19.5h8.8c4.3 0 6.5 2 6.5 6 0 .7-.1 1.3-.3 2a5.5 5.5 0 0 1-3.4 3.4c-1 .4-2.3.6-3.7.6H27v5.7h-4.4zm4.4-14.4v5.4h3.7c1 0 1.6-.3 2.1-.8s.7-1.2.7-2c0-1.7-1-2.6-2.9-2.6H27zm12 14.4V19.5h7c2.8 0 5 .7 6.6 2.1 1.6 1.5 2.4 3.7 2.4 6.7s-.8 5.3-2.4 6.7a9.5 9.5 0 0 1-6.7 2.2H39zm4.5-14v10.3H46c1.5 0 2.7-.5 3.4-1.4a6 6 0 0 0 1-3.8 6 6 0 0 0-1-3.7c-.7-1-1.9-1.4-3.5-1.4h-2.5z"/></svg>',
        remix:         '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" viewBox="5.5 -3.5 64 64" xml:space="preserve"><path d="M37.4-3.5a31 31 0 0 1 22.8 9.3 30.8 30.8 0 0 1 9.3 22.7c0 9-3 16.5-9.1 22.5-6.5 6.3-14.1 9.5-23 9.5A31 31 0 0 1 15 51.1a30.8 30.8 0 0 1-9.4-22.6c0-8.7 3.1-16.3 9.4-22.7a30.7 30.7 0 0 1 22.5-9.3zm.2 5.8C30.3 2.3 24 4.8 19 10a25.6 25.6 0 0 0 0 36.9 25.3 25.3 0 0 0 18.5 7.8c7 0 13.3-2.6 18.6-7.9 5-4.8 7.5-11 7.5-18.3A25 25 0 0 0 56.1 10a25 25 0 0 0-18.5-7.7zM58.4 29l.6.3v9l-.5.3-7.8 3.3-.3.1-.4-.1-16.8-7-.6-.2-8.2 3.5-8.2-3.6v-8.2l7.6-3.2v-9l8.7-4L52 18.6v8l6.3 2.6zm-9 10.5v-5.7h-.1v-.2l-14.7-6v5.8l14.7 6zm.9-7.4 5.1-2.2-4.7-2-5 2.2 4.6 2zM57 37v-5.6L51.3 34v5.6l5.7-2.4z"/></svg>',
        sa:            '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" viewBox="5.5 -3.5 64 64" xml:space="preserve"><path d="M37.4-3.5a31 31 0 0 1 22.8 9.3 30.8 30.8 0 0 1 9.3 22.7c0 9-3 16.5-9.1 22.5-6.5 6.3-14.1 9.5-23 9.5A31 31 0 0 1 15 51.1a30.8 30.8 0 0 1-9.4-22.6c0-8.7 3.1-16.3 9.4-22.7a30.7 30.7 0 0 1 22.5-9.3zm.2 5.8C30.3 2.3 24 4.8 19 10a25.6 25.6 0 0 0 0 36.9 25.3 25.3 0 0 0 18.5 7.8c7 0 13.3-2.6 18.6-7.9 5-4.8 7.5-11 7.5-18.3A25 25 0 0 0 56.1 10a25 25 0 0 0-18.5-7.7zM23.3 24c.6-4 2.2-7 4.7-9.1a14 14 0 0 1 9.3-3.3c5 0 9 1.7 12 4.9s4.5 7.4 4.5 12.5c0 4.9-1.6 9-4.6 12.2-3.1 3.3-7.1 4.9-12 4.9A13.8 13.8 0 0 1 23 33.6h8c.2 3.9 2.5 5.8 7 5.8 2.3 0 4-1 5.5-2.9 1.3-2 2-4.5 2-7.8 0-3.4-.6-6-1.9-7.7a6.3 6.3 0 0 0-5.4-2.7c-4.3 0-6.7 2-7.2 5.7h2.3l-6.3 6.3-6.3-6.3h2.5z"/></svg>',
        sampling:      '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" viewBox="5.5 -3.5 64 64" xml:space="preserve"><path d="M37.4-3.5a31 31 0 0 1 22.8 9.3 30.9 30.9 0 0 1 9.3 22.7c0 9-3 16.4-9.1 22.5-6.5 6.3-14.1 9.5-23 9.5-8.6 0-16.1-3.1-22.4-9.4a30.7 30.7 0 0 1-9.5-22.6c0-8.8 3.1-16.3 9.4-22.7a30.6 30.6 0 0 1 22.5-9.3zm.1 5.8c-7.2 0-13.4 2.5-18.4 7.6a25.6 25.6 0 0 0 0 37 25.3 25.3 0 0 0 18.5 7.8c7.1 0 13.3-2.6 18.6-7.9 5-4.8 7.5-11 7.5-18.3 0-7.3-2.5-13.5-7.6-18.6a25.3 25.3 0 0 0-18.6-7.6zM38 9c.4 0 .7.1 1 .3.3.3.5.6.5 1v.2l.9 13.8.6-7.6c0-.4.1-.7.4-1s.6-.4 1-.4c.3 0 .7.1 1 .4.2.3.3.6.3 1v.2l.8 10.3.7-8.3a1.3 1.3 0 0 1 1.3-1.2c.4 0 .7.1 1 .3.2.2.4.5.4.9l1.5 12.4.7-1.6c.2-.6.6-.9 1.3-.9h7.5v2.7h-6.6L50 37.4c-.3.6-.8 1-1.5.8-.4 0-.6-.2-.9-.4s-.3-.5-.3-.8l-.5-4.2-1 12a1.3 1.3 0 0 1-2.2.8c-.3-.2-.5-.5-.5-.8v-.2l-.8-9.9-.7 9.3c0 .4-.2.7-.5.9-.2.2-.5.3-.9.3-.3 0-.6 0-.9-.3s-.4-.5-.4-.9V44L38 32.7 37.4 45v.1c0 .4-.2.7-.4 1s-.6.5-1 .5-.7-.2-1-.5c-.2-.3-.4-.6-.4-1L34 33.6l-.7 11c0 .4-.2.7-.5 1-.2.2-.5.3-.9.3s-.6-.1-.9-.4c-.2-.2-.4-.5-.4-.8v-.4L29.5 33l-.6 7.3c0 .4-.2.7-.5.9-.2.2-.5.3-.9.3-.3 0-.6 0-.9-.3l-.5-.8-1.4-9.8-.2.3c-.2.5-.6.7-1.2.7h-6.6V29h5.7l1.8-3.6c.3-.6.7-.9 1.4-.8.7.1 1 .5 1.2 1.1l.4 2.7 1-12.7c0-.3.2-.7.5-1s.5-.3 1-.3.6.1.9.4c.3.2.4.6.4 1v.2l.6 8.9.9-12v-.1a1.3 1.3 0 0 1 1.3-1.2c.3 0 .6 0 1 .3.2.2.3.5.4.9v.1l.7 10.4.8-12.6v-.2c0-.4 0-.6.3-.9l1-.4z"/></svg>',
        sampling_plus: '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" viewBox="5.5 -3.5 64 64" xml:space="preserve"><path d="M37.5-3.5C28.6-3.5 21-.5 15 5.8c-6.3 6.4-9.5 14-9.5 22.7S8.6 44.8 15 51.1a30.7 30.7 0 0 0 22.5 9.4c8.8 0 16.4-3.2 22.9-9.5 6-6 9.1-13.5 9.1-22.5S66.4 12 60.2 5.8a31 31 0 0 0-22.7-9.3zm0 5.8A25 25 0 0 1 56 9.9c5.2 5.1 7.7 11.3 7.7 18.6 0 7.4-2.5 13.5-7.5 18.3a25.7 25.7 0 0 1-18.7 7.9c-7.1 0-13.3-2.6-18.5-7.8a25.1 25.1 0 0 1-7.7-18.4c0-7 2.6-13.3 7.8-18.6 5-5 11.2-7.6 18.4-7.6z"/><path d="M51.4 28.8c-.6 0-1.2.4-1.4 1l-.5 1.1L48 19a1.5 1.5 0 0 0-3 .1l-.5 6.7-.7-9a1.5 1.5 0 0 0-3 0l-.4 5.9-.8-12.2a1.5 1.5 0 0 0-3 0L36 21.2l-.6-8.5a1.5 1.5 0 0 0-3 0L31.7 23l-.5-7.3a1.5 1.5 0 0 0-3 0l-1 11.5-.2-1.6a1.5 1.5 0 0 0-2.8-.4l-1.7 3.6h-5.7v3h6.6c.6 0 1-.3 1.3-.8l1.4 9.4a1.5 1.5 0 0 0 3 0l.5-5.7.7 10.1a1.5 1.5 0 0 0 3 0l.6-9.1.6 9.5a1.5 1.5 0 0 0 3 0l.7-10.4.5 9.2a1.5 1.5 0 0 0 3 0l.6-7.5.7 8.3a1.5 1.5 0 0 0 3 0l.8-10.7.4 2.9a1.5 1.5 0 0 0 2.8.4l2.4-5.6h6.5v-3h-7.5zm-10.1.7h-2.8v2.8a1 1 0 1 1-2 0v-2.8h-2.8a1 1 0 1 1 0-2h2.8v-2.8a1 1 0 0 1 2 0v2.8h2.8a1 1 0 0 1 0 2z"/></svg>',
        share:         '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" viewBox="5.5 -3.5 64 64" xml:space="preserve"><path d="M37.4-3.5a31 31 0 0 1 22.8 9.3 30.8 30.8 0 0 1 9.3 22.7c0 9-3 16.5-9.1 22.5-6.5 6.3-14.1 9.5-23 9.5A31 31 0 0 1 15 51.1a30.8 30.8 0 0 1-9.4-22.6c0-8.7 3.1-16.3 9.4-22.7a30.7 30.7 0 0 1 22.5-9.3zm.2 5.8C30.3 2.3 24 4.8 19 10a25.6 25.6 0 0 0 0 36.9 25.3 25.3 0 0 0 18.5 7.8c7 0 13.3-2.6 18.6-7.9 5-4.8 7.5-11 7.5-18.3A25 25 0 0 0 56.1 10a25 25 0 0 0-18.5-7.7zm13 17c.5 0 .9.2 1.2.6.4.3.6.7.6 1.2v23.6c0 .5-.2.9-.6 1.2-.3.4-.7.5-1.2.5H33.2c-.5 0-1-.1-1.3-.5-.3-.3-.5-.7-.5-1.2v-7h-7c-.5 0-.9-.2-1.2-.5-.4-.4-.6-.8-.6-1.3V12.4c0-.5.2-.9.5-1.2a2 2 0 0 1 1.1-.6H41.8c.5 0 1 .2 1.3.5.3.4.5.8.5 1.3v7h7zM26 34.4h5.3V21c0-.4.1-.8.4-1.1a2 2 0 0 1 1.1-.6h7.3v-5.2h-14v20zM49 22.7h-14V43h14v-20z"/></svg>',
        zero:          '<svg class="w-6 h-6 mr-1 inline fill-current" xmlns="http://www.w3.org/2000/svg" x="0" y="0" width="64" height="64" viewBox="-0.5 0.5 64 64" xml:space="preserve"><path d="M31.5 14c-10.6 0-13.2 10-13.2 18.5s2.6 18.4 13.2 18.4 13.2-10 13.2-18.4c0-8.5-2.6-18.4-13.2-18.4zm0 7c.4 0 .8 0 1.2.2.7.6 1.1 1.5.4 2.8l-7 13c-.3-1.7-.3-3.3-.3-4.5 0-3.7.3-11.5 5.7-11.5zm5.3 6c.3 2 .4 4 .4 5.5 0 3.7-.3 11.5-5.7 11.5a4.9 4.9 0 0 1-1.7-.3c-1.2-.6-2-1.5-.9-3.1L36.8 27z"/><path d="M31.4.5a32.5 32.5 0 0 0-32 32A31.4 31.4 0 0 0 9 55.1a31.6 31.6 0 0 0 34.9 7 32.9 32.9 0 0 0 17.4-17.3c1.5-3.8 2.3-8 2.3-12.3a32.5 32.5 0 0 0-9.2-22.6C48 3.6 40.3.5 31.4.5zm.2 5.8C38.8 6.3 45 8.8 50 14a25.7 25.7 0 0 1 7.6 18.5c0 7.4-2.5 13.5-7.5 18.3a27.5 27.5 0 0 1-18.6 7.8A26 26 0 0 1 7.3 42.4 25.6 25.6 0 0 1 13 14c5-5 11.2-7.6 18.5-7.6z"/></svg>',
      }
    },
    getLicenseTypes() {
      return {
        "by":       "https://creativecommons.org/licenses/by/4.0/",
        "by-sa":    "https://creativecommons.org/licenses/by-sa/4.0/",
        "by-nc":    "https://creativecommons.org/licenses/by-nc/4.0/",
        "by-nc-sa": "https://creativecommons.org/licenses/by-nc-sa/4.0/",
        "by-nd":    "https://creativecommons.org/licenses/by-nd/4.0/",
        "by-nc-nd": "https://creativecommons.org/licenses/by-nc-nd/4.0/",
        "zero":     "https://creativecommons.org/publicdomain/zero/1.0/",
      }
    },
  },
}
</script>

<style lang="scss" scoped>
.creative-commons {
  @apply
  text-gray-400
  hover:text-gray-500
  dark:text-gray-800
  hover:dark:text-gray-900
  mt-2
  pt-4
  border-t-2
  border-gray-300
  dark:border-gray-500
  ;

  > a {
    @apply h-6 my-2;

    span {
      @apply align-bottom inline-block w-6 h-6 mr-1 inline fill-current;
    }
  }
}
</style>
